# 1. Principles and processes 

Goal: Plan and sketch a potential final project

My project will be a **vegetable washing machine** 

Goal is to create a counter top kitchen appliance that can wash and dry greens and 
other vegetables via a pre set cycle.


## Project description 

**There are 4 main parts to the appliance**

1. Water reservoir 

2. Main container (Wash basin)- base is designed to have a gravity fed drain

3. Lid with build in sprinkler 

4. Vegetable holding bowel that sites in the Wash basin and spins to dry 

**There are 2 Motor/pump used**

1. Water pump to move water from reservoir to sprinkler head 

2. Motor to spin Vegetable bowel 

**There are 2 potential sensors**

1. Lid sensor - stop operation if lid is open mid cycle 

2. Water level sensor to alert if reservoir is empty 

**Microcontroller usage**

1. Control sequencing of pumps / motors 

2. Interrupt operation if sensor is triggered 

3. Manage GUI 

**GUI**

1. Based display and buttons

2. Allow user to start cycle 

- Wash only

- Dry only

- Wash/dry

3. Announce alerts (ready/water empty/finished)


![Veg Washing Machine](../images/Finalproject/VWMSKETCHV1.jpg){: style="height:300px;width:300px"}




